#
# spec file for package perl-Archive-Peek
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           perl-Archive-Peek
Version:        0.35
Release:        lp150.1.3
%define cpan_name Archive-Peek
Summary:        Peek into archives without extracting them
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Archive-Peek/
Source:         http://www.cpan.org/authors/id/L/LB/LBROCARD/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Archive::Tar)
BuildRequires:  perl(Archive::Zip)
BuildRequires:  perl(Moose)
BuildRequires:  perl(MooseX::Types::Path::Class)
#BuildRequires: perl(Archive::Peek)
#BuildRequires: perl(Archive::Peek::Tar)
#BuildRequires: perl(Archive::Peek::Zip)
#BuildRequires: perl(Archive::Zip::MemberRead)
Requires:       perl(Archive::Tar)
Requires:       perl(Archive::Zip)
Requires:       perl(Moose)
Requires:       perl(MooseX::Types::Path::Class)
%{perl_requires}

%description
This module lets you peek into archives without extracting them. It
currently supports tar files and zip files. To support Bzip2- compressed
files, you should install IO::Uncompress::Bunzip2.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc CHANGES README

%changelog
* Tue Dec 20 2011 coolo@suse.com
- initial package 0.35
  * created by cpanspec 1.78.06
